import { Component, ViewEncapsulation, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { coerceBooleanProperty } from '@angular/cdk/coercion';

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtActionBarItemComponent = class NtActionBarItemComponent {
};
NtActionBarItemComponent = __decorate([
    Component({
        selector: 'nt-action-bar-item',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-action-item'
        }
    })
], NtActionBarItemComponent);

var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtActionBarComponent = class NtActionBarComponent {
};
NtActionBarComponent = __decorate$1([
    Component({
        selector: 'nt-action-bar',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-action-bar'
        }
    })
], NtActionBarComponent);

var __decorate$2 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtPanelBodyComponent = class NtPanelBodyComponent {
};
NtPanelBodyComponent = __decorate$2([
    Component({
        selector: 'nt-panel-body',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-panel-body'
        }
    })
], NtPanelBodyComponent);

var __decorate$3 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtPanelFooterComponent = class NtPanelFooterComponent {
    get small() { return this._small; }
    set small(value) {
        this._small = coerceBooleanProperty(value);
    }
    get large() { return this._large; }
    set large(value) {
        this._large = coerceBooleanProperty(value);
    }
};
__decorate$3([
    Input()
], NtPanelFooterComponent.prototype, "small", null);
__decorate$3([
    Input()
], NtPanelFooterComponent.prototype, "large", null);
NtPanelFooterComponent = __decorate$3([
    Component({
        selector: 'nt-panel-footer',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-panel-footer',
            '[class.small]': 'small',
            '[class.large]': 'large'
        }
    })
], NtPanelFooterComponent);

var __decorate$4 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtPanelHeaderComponent = class NtPanelHeaderComponent {
    get small() { return this._small; }
    set small(value) {
        this._small = coerceBooleanProperty(value);
    }
    get large() { return this._large; }
    set large(value) {
        this._large = coerceBooleanProperty(value);
    }
};
__decorate$4([
    Input()
], NtPanelHeaderComponent.prototype, "small", null);
__decorate$4([
    Input()
], NtPanelHeaderComponent.prototype, "large", null);
NtPanelHeaderComponent = __decorate$4([
    Component({
        selector: 'nt-panel-header',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-panel-header',
            '[class.small]': 'small',
            '[class.large]': 'large'
        }
    })
], NtPanelHeaderComponent);

var __decorate$5 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtPanelWrapperComponent = class NtPanelWrapperComponent {
};
NtPanelWrapperComponent = __decorate$5([
    Component({
        selector: 'nt-panel-wrapper',
        template: `<ng-content select="nt-panel"></ng-content>`,
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-panel-wrapper'
        }
    })
], NtPanelWrapperComponent);

var __decorate$6 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtPanelComponent = class NtPanelComponent {
    constructor() {
        this._shrink = false;
    }
    get shrink() { return this._shrink; }
    set shrink(value) {
        this._shrink = coerceBooleanProperty(value);
    }
};
__decorate$6([
    Input()
], NtPanelComponent.prototype, "shrink", null);
NtPanelComponent = __decorate$6([
    Component({
        selector: 'nt-panel',
        template: `
    <ng-content select="nt-panel-header"></ng-content>
    <ng-content select="nt-panel-body"></ng-content>
    <ng-content select="nt-panel-footer"></ng-content>
  `,
        encapsulation: ViewEncapsulation.None,
        host: {
            'class': 'nt-panel',
            '[class.nt-panel-shrink]': 'shrink'
        }
    })
], NtPanelComponent);

var __decorate$7 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtTabsBarItemComponent = class NtTabsBarItemComponent {
};
NtTabsBarItemComponent = __decorate$7([
    Component({
        selector: 'nt-tabs-bar-item',
        template: '<ng-content></ng-content>',
        encapsulation: ViewEncapsulation.None
    })
], NtTabsBarItemComponent);

var __decorate$8 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
let NtTabsBarComponent = class NtTabsBarComponent {
};
NtTabsBarComponent = __decorate$8([
    Component({
        selector: 'nt-tabs-bar',
        template: '<ng-content select="nt-tabs-bar-item"></ng-content>',
        encapsulation: ViewEncapsulation.None
    })
], NtTabsBarComponent);

var __decorate$9 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const EXPORT_DECLARATIONS = [
    NtActionBarItemComponent,
    NtActionBarComponent,
    NtPanelBodyComponent,
    NtPanelFooterComponent,
    NtPanelHeaderComponent,
    NtPanelWrapperComponent,
    NtPanelComponent,
    NtTabsBarItemComponent,
    NtTabsBarComponent,
];
let NtContainersModule = class NtContainersModule {
};
NtContainersModule = __decorate$9([
    NgModule({
        imports: [CommonModule],
        exports: EXPORT_DECLARATIONS,
        declarations: EXPORT_DECLARATIONS,
    })
], NtContainersModule);

export { NtActionBarComponent, NtActionBarItemComponent, NtContainersModule, NtPanelBodyComponent, NtPanelComponent, NtPanelFooterComponent, NtPanelHeaderComponent, NtPanelWrapperComponent, NtTabsBarComponent, NtTabsBarItemComponent };
//# sourceMappingURL=containers.js.map
